package org.atea.nlptools.ocr.abstractions.objects;

import java.io.File;

/**
 * Represents a temporary file to be OCR'ed.
 */
public interface IOcrFile
{
    /**
     * Gets the unique key of this file.
     * @return
     */
    String getKey();

    /**
     * Gets the name of the originally submitted file.
     * @return
     */
    String getFileName();

    /**
     * Gets the temporary disk file to be OCR'ed.
     * @return
     */
    File getTempFile();
}
