package org.atea.nlptools.ocr.abstractions.services;

import java.io.File;

import org.atea.nlptools.ocr.abstractions.objects.IOcrOptions;

/**
 * Represents a service for performing OCR on files.
 */
public interface IOcrService
{
    /**
     * Runs optical character recognition on a file.
     * @param file The file to perform OCR on.
     * @param language The language/s of the file. Separate multiple with a '+'.
     * @return The recognised content of the file.
     */
    String run(File file, IOcrOptions options) throws Exception;
}