package org.atea.nlptools.ocr.objects;

import java.io.File;

import org.atea.nlptools.ocr.abstractions.objects.IOcrFile;

/**
 * Represents a temporary file to be OCR'ed.
 */
public class OcrFile implements IOcrFile
{
    private String key;
    private String fileName;
    private File tempFile;

    /**
     * Initializes a new instance of the {@link OcrFile} class.
     * @param key The unique key of this file.
     * @param fileName The name of the original submitted file.
     * @param tempFile The temporary disk file to be OCR'ed.
     */
    public OcrFile(String key, String fileName, File tempFile)
    {
        this.key = key;
        this.fileName = fileName;
        this.tempFile = tempFile;
    }

    @Override
    public String getKey() {
        return this.key;
    }

    @Override
    public String getFileName() {
        return this.fileName;
    }

    @Override
    public File getTempFile() {
        return this.tempFile;
    }
}
