package org.atea.nlptools.ocr.objects;

import org.atea.nlptools.ocr.abstractions.objects.IOcrOptions;
import org.bytedeco.tesseract.global.tesseract;

/**
 * Represents various options that can be used when performing OCR using Tesseract.
 */
public class TesseractOptions implements IOcrOptions
{
    private String language;

    public int pageSegmentationMode;

    public TesseractOptions()
    {
        this.language = "mri";
        this.pageSegmentationMode = tesseract.PSM_AUTO;
    }

    @Override
    public String getLanguage() {
        return this.language;
    }

    @Override
    public void setLanguage(String value) {
        this.language = value;
    }
}
